import { constants } from '../../common';
import { SendResponse } from './response';
export declare const toSocketIoMessagePayload: (id: string, data: unknown) => string;
export declare type DeserializedMessage = [PacketType: string, Data: unknown];
export declare type InitializedMessage = [
    PacketType: typeof constants.websocket.packetTypes.initialize,
    Data: {
        sid: string;
        upgrades: [];
        pingInterval: number;
        pingTimeout: number;
    }
];
export declare type ResponseMessage = [PacketType: `43${string}`, Data: SendResponse];
export declare const isConnectionMessage: (message: DeserializedMessage) => message is InitializedMessage;
export declare const isResponseMessage: (message: DeserializedMessage) => message is ResponseMessage;
export declare const getRequestId: (packetType: string) => string;
export declare const isResponseMessageOf: (sid: string) => (message: DeserializedMessage) => boolean;
export declare const isResponseOf: (expected: string) => ([sid]: DeserializedMessage) => boolean;
export declare const scrapboxDeserializer: (event: {
    data: any;
}) => DeserializedMessage;
export declare const scrapboxSerializer: (message: unknown) => string;
