import { Subject } from 'rxjs';
import type NodeWebSocket from 'ws';
export interface MessageDeserializer<T> {
    (event: MessageEvent | NodeWebSocket.MessageEvent): T;
}
interface Options<T> {
    protocols?: string | string[];
    clientOptions?: NodeWebSocket.ClientOptions;
    deserializer?: MessageDeserializer<T>;
    debug?: boolean;
}
export declare class RxWebSocket<DeserializedMessage> extends Subject<DeserializedMessage> {
    #private;
    constructor(url: string, { protocols, clientOptions, deserializer, debug }: Options<DeserializedMessage>);
    send(data: string): this;
    close(): void;
}
export {};
